#include<bits/stdc++.h>

using namespace std;
int main()
{
	int n;
	int a[100000];
	int min;
	int max;
	ifstream f1("BAI3_17.INP");
	ofstream f2("BAI3_17.OUT");
	f1>>n;
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
	}
		min=a[0];
		max=a[0];
	for(int i=1;i<n;i++)
	{
	
		if(a[i]<min)
		{
			min=a[i];
		}
	
		if(a[i]>max)
		{
			max=a[i];
		}
	}	
	f2<<min+max;
	f1.close();
	f1.close();
}
